ValueChecker
Appraisals

List Appraisals

Server URLloading...
GET
/client_reference/{client_reference_id}/appraisal

This endpoint returns a paginated response. For Client References with a larger quantity of appraisals, use pagination parameters.

page - Defaults to 1. The minimum value is 1, defaults to 1 if it's a non-positive integer.

page_size - Defaults to 25. The minimum value is 10, and the maximum value is 100.

Authorization

apiKey
Authorization<token>

Note! Prefix your API key with apiKey and a space, for example apiKey YOUR_API_KEY.

In: header

Path Parameters

client_reference_id*integer

The client reference identifier.

Query Parameters

client_id?integer

The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.

session-id?string

Optional session identifier of the user.

page?integer

Page number for response pagination.

page_size?integer

Page size for response pagination.

attachments?boolean

Optional flag determining if file attachments should be present.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/client_reference/9337/appraisal"

{  "appraisals": [    {      "appraisal_id": 97771,      "client_reference_id": 9337,      "cpid": 1262828314,      "rpid": 1263096838,      "create_time": "2023-07-25 13:51:08",      "update_time": "2023-07-25 13:51:08",      "cp_name_cart": "Apple iPhone 14 Pro Max 1TB",      "rp_name_cart": "Apple iPhone 14 Pro Max 1024GB (2022)",      "cp_pic_url": "https://img.valuechecker.net/,---.jpg",      "rp_pic_url": "https://img.valuechecker.net/,---.jpg",      "item_quantity": 1,      "replacement_cost_value": 1684.99,      "rp_price_date": "2023-07-25 11:07:41",      "homepage_client_category_id": 2740,      "selected_client_category_id": 2740,      "date_damage": "2024-05-07",      "date_purchase": "2024-05-01",      "claimed_amount": 1000,      "shop_name": "Amazon UK",      "shop_url": "https://offer.valuechecker.net/kihxRTjWvGNjq4Dj7CKanf",      "is_compensation_based_on_claimed_amount": false,      "depr_extra_one_year_no_receipt": false,      "offer_id": 228246862    },    {      "appraisal_id": 97770,      "client_reference_id": 9337,      "cpid": 1262828314,      "rpid": 1263096838,      "create_time": "2023-07-25 13:50:46",      "update_time": "2023-07-25 13:50:46",      "cp_name_cart": "Apple iPhone 14 Pro Max 1TB",      "rp_name_cart": "Apple iPhone 14 Pro Max 1024GB (2022)",      "cp_pic_url": "https://img.valuechecker.net/,---.jpg",      "rp_pic_url": "https://img.valuechecker.net/,---.jpg",      "item_quantity": 1,      "replacement_cost_value": 1684.99,      "date_damage": "2024-05-07",      "date_purchase": "2024-05-01",      "claimed_amount": 1000,      "rp_price_date": "2023-07-25 11:07:41",      "homepage_client_category_id": 2740,      "selected_client_category_id": 2740,      "shop_name": "Amazon UK",      "shop_url": "https://offer.valuechecker.net/kihxRTjWvGNjq4Dj7CKanf",      "is_compensation_based_on_claimed_amount": false,      "depr_extra_one_year_no_receipt": false,      "offer_id": 228246862    }  ],  "metadata": {    "ongoing_count": 0,    "timestamp": "2025-03-31 10:08:36",    "appraisals": {      "current_page": 1,      "page_size": 25,      "total_pages": 1,      "total_items": 2    }  }}